Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8176538

Fix errors in JavaFX API docs when using 'javadoc -html5'

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P3
    • Resolution: Fixed
    • Affects Version/s: 9
    • Fix Version/s: 9
    • Component/s: javafx
    • Labels:

      Description

      Now that the JavaFX API docs are doclint clean we need to make them HTML5 compliant. We currently get 96 errors when using the '-html5' option of javadoc. Most of these are errors in our use of html tables. A few are places where we use deprecated tags, such as <tt>, which should be replaced with {@code}.

      This should ideally be done before the JDK starts building HTML5 docs. See JDK-8175036.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                kcr Kevin Rushforth
                Reporter:
                kcr Kevin Rushforth
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: